KDE 4.9 PyKDE API Reference

- KDE's Python API

# GeoDataLineString Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataGeometry → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

## Methods
| __init__ (self, Marble.TessellationFlags f=Marble.NoTessellation)
| __init__ (self, Marble.GeoDataGeometry other)
| append (self, Marble.GeoDataCoordinates position)
Marble.GeoDataCoordinates | at (self, int pos)
| clear (self)
Marble.GeoDataCoordinates | first (self)
bool | isClosed (self)
bool | isEmpty (self)
Marble.GeoDataCoordinates | last (self)
Marble.GeoDataLatLonAltBox | latLonAltBox (self)
float | length (self, float planetRadius, int offset=0)
Marble.GeoDataLineString | operator << (self, Marble.GeoDataCoordinates position)
Marble.GeoDataCoordinates | operator [] (self, int pos)
| pack (self, QDataStream stream)
| remove (self, int i)
| setTessellate (self, bool tessellate)
| setTessellationFlags (self, Marble.TessellationFlags f)
int | size (self)
bool | tessellate (self)
Marble.TessellationFlags | tessellationFlags (self)
Marble.GeoDataLineString | toNormalized (self)
Marble.GeoDataLineString | toPoleCorrected (self)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( | self, |
|  | Marble.TessellationFlags | f=Marble.NoTessellation
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataGeometry | other
| ) |  |  |

append | ( | self, |
|  | Marble.GeoDataCoordinates | position
| ) |  |  |

Marble.GeoDataCoordinates at | ( | self, |
|  | int | pos
| ) |  |  |

clear | ( |  | self ) |

Marble.GeoDataCoordinates first | ( |  | self ) |

bool isClosed | ( |  | self ) |

bool isEmpty | ( |  | self ) |

Marble.GeoDataCoordinates last | ( |  | self ) |

Marble.GeoDataLatLonAltBox latLonAltBox | ( |  | self ) |

float length | ( | self, |
|  | float | planetRadius,
|  | int | offset=0
| ) |  |  |

Returns the length of LineString across a sphere starting from a coordinate in LineString This method can be used as an approximation for distances along LineStrings. The unit used for the resulting length matches the unit of the planet radius.

Parameters:

  | planetRadius | radius of the sphere
  | offset | position of coordinate within LineString

Marble.GeoDataLineString operator << | ( | self, |
|  | Marble.GeoDataCoordinates | position
| ) |  |  |

Marble.GeoDataCoordinates operator [] | ( | self, |
|  | int | pos
| ) |  |  |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

remove | ( | self, |
|  | int | i
| ) |  |  |

setTessellate | ( | self, |
|  | bool | tessellate
| ) |  |  |

setTessellationFlags | ( | self, |
|  | Marble.TessellationFlags | f
| ) |  |  |

int size | ( |  | self ) |

bool tessellate | ( |  | self ) |

Marble.TessellationFlags tessellationFlags | ( |  | self ) |

Marble.GeoDataLineString toNormalized | ( |  | self ) |

Marble.GeoDataLineString toPoleCorrected | ( |  | self ) |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |